Bug 1413778 - long and confusing list of "installation software sites", including stuff like "/usr/share/eclipse/.*"...
Summary: long and confusing list of "installation software sites", including stuff lik...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Roland Grunberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 23:43 UTC by lejeczek
Modified: 2017-02-18 18:20 UTC (History)
8 users (show)

Fixed In Version: eclipse-4.6.2-6.fc25 eclipse-4.6.2-7.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-18 18:20:43 UTC
Type: Bug


Attachments (Terms of Use)

Description lejeczek 2017-01-16 23:43:43 UTC
Description of problem:

It's a major oversight in my mind, to let these slipped through. To all the beginners this is massively confusing. Best would to clean that bit up properly and leave only crucial two, three sites which also should come disabled by default.

If we ought to rely on rpm packaging for installation and updates then allowing such a mess in Eclipse Software Sites configuration only undermines all your efforts to make users stick to rpms.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alexander Kurtakov 2017-01-17 06:58:21 UTC
Roland, this seems to be caused by droplets. Please handle it with priority.

Comment 2 Roland Grunberg 2017-01-18 17:07:21 UTC
I'll have a look at this again. It's one of the annoying consequences of droplets being like p2 repositories. I was looking for a way nice setting to filter out the droplet content from the view but there was nothing that would do the trick.

Comment 4 Fedora Update System 2017-01-27 18:17:34 UTC
eclipse-4.6.2-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6e0aae9182

Comment 5 Fedora Update System 2017-01-29 02:22:27 UTC
eclipse-4.6.2-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6e0aae9182

Comment 6 Fedora Update System 2017-01-29 21:51:44 UTC
eclipse-4.6.2-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 lejeczek 2017-02-06 12:53:26 UTC
yes, problem still exists in that version.
I start with -clean and /usr/.... list is still there.

eclipse-abrt-0.0.3-1.fc25.noarch
eclipse-cdt-9.1.0-2.fc25.x86_64
eclipse-cdt-native-9.1.0-2.fc25.x86_64
eclipse-cdt-parsers-9.1.0-2.fc25.x86_64
eclipse-changelog-5.2.0-1.fc25.noarch
eclipse-collabnet-merge-4.1.0-1.fc25.noarch
eclipse-dltk-5.7.0-2.fc25.noarch
eclipse-dltk-mylyn-5.7.0-2.fc25.noarch
eclipse-dtp-1.12.0-7.fc25.noarch
eclipse-e4-importer-0.2.0-0.2.gitb33919c.fc25.noarch
eclipse-ecf-core-3.13.3-1.fc25.x86_64
eclipse-egit-4.6.0-1.fc25.noarch
eclipse-egit-github-4.6.0-1.fc25.noarch
eclipse-egit-mylyn-4.6.0-1.fc25.noarch
eclipse-emf-core-2.12.0-1.fc25.x86_64
eclipse-emf-runtime-2.12.0-1.fc25.noarch
eclipse-emf-validation-1.10.0-1.fc25.noarch
eclipse-epp-logging-2.0.3-2.fc25.noarch
eclipse-equinox-osgi-4.6.2-6.fc25.x86_64
eclipse-fedorapackager-0.6.0-1.fc25.noarch
eclipse-filesystem-1.0-7.fc24.x86_64
eclipse-gef-3.11.0-1.fc25.noarch
eclipse-jdt-4.6.2-6.fc25.noarch
eclipse-jgit-4.6.0-2.fc25.noarch
eclipse-launchbar-2.0.1-1.fc25.noarch
eclipse-linuxtools-5.2.0-1.fc25.noarch
eclipse-linuxtools-libhover-5.2.0-1.fc25.noarch
eclipse-m2e-core-1.7.1-0.1.git3aeac6a.fc25.noarch
eclipse-m2e-egit-0.14.0-0.9.gitaf764de.fc24.noarch
eclipse-m2e-workspace-0.4.0-4.fc25.noarch
eclipse-mdt-ocl-6.2.1-1.fc25.noarch
eclipse-mdt-uml2-5.2.1-1.fc25.noarch
eclipse-mpc-1.5.3-1.fc25.noarch
eclipse-mylyn-3.21.0-1.fc25.noarch
eclipse-mylyn-context-cdt-3.21.0-1.fc25.noarch
eclipse-mylyn-docs-wikitext-3.21.0-1.fc25.noarch
eclipse-mylyn-tasks-bugzilla-3.21.0-1.fc25.noarch
eclipse-mylyn-tasks-trac-3.21.0-1.fc25.noarch
eclipse-mylyn-tasks-web-3.21.0-1.fc25.noarch
eclipse-mylyn-versions-3.21.0-1.fc25.noarch
eclipse-mylyn-versions-git-3.21.0-1.fc25.noarch
eclipse-oprofile-5.2.0-1.fc25.noarch
eclipse-p2-discovery-4.6.2-6.fc25.noarch
eclipse-packagekit-0.2.0-4.fc24.noarch
eclipse-pde-4.6.2-6.fc25.x86_64
eclipse-pdt-4.2.0-1.fc25.noarch
eclipse-photran-9.1.1-1.fc25.noarch
eclipse-platform-4.6.2-6.fc25.x86_64
eclipse-ptp-9.1.1-1.fc25.x86_64
eclipse-ptp-rdt-sync-fortran-9.1.1-1.fc25.noarch
eclipse-pydev-5.5.0-1.fc25.x86_64
eclipse-remote-2.1.1-1.fc25.noarch
eclipse-rpm-editor-5.2.0-1.fc25.noarch
eclipse-rse-3.7.1-1.fc25.noarch
eclipse-subclipse-1.10.11-3.fc25.noarch
eclipse-subclipse-graph-1.10.11-3.fc25.noarch
eclipse-swt-4.6.2-6.fc25.x86_64
eclipse-tm-terminal-4.1.0-3.fc25.noarch
eclipse-tm-terminal-connectors-4.1.0-3.fc25.noarch
eclipse-usage-4.4.3-0.1.fc25.noarch
eclipse-valgrind-5.2.0-1.fc25.noarch
eclipse-vrapper-0.22.0-6.fc24.noarch
eclipse-webtools-common-3.8.2-2.fc25.noarch
eclipse-webtools-servertools-3.8.2-2.fc25.noarch
eclipse-webtools-sourceediting-3.8.2-2.fc25.noarch
eclipse-xsd-2.12.0-1.fc25.noarch

Comment 8 Roland Grunberg 2017-02-06 15:24:34 UTC
(In reply to comment #7)
> yes, problem still exists in that version.
> I start with -clean and /usr/.... list is still there.

Are you referring to the combo box at the top of the Install Wizard, or the "Available Software Sites" preference page under the "Install/Update" category.

Comment 9 lejeczek 2017-02-06 17:08:33 UTC
as per report's subject "installation software sites".

Comment 10 Roland Grunberg 2017-02-06 18:19:04 UTC
(In reply to comment #9)
> as per report's subject "installation software sites".

This is still a little ambiguous in the context of the issue because the terms : Install, Software are used in both places I'm thinking of and I can't find the exact wording you've mentioned in either of them.

One place those update sites were show is from Help -> Install New Software.. . I would refer to this page as the Install Wizard. The Combo box at the very top should no longer have those confusing entries displayed. If they still show up here, then my previous fix somehow didn't resolve your case and I would need to investigate this.

From the Install Wizard, immediately below the combo box, there is a link named "Available Software Sites". This opens up the "Available Software Sites" preference page, which is located under "Install/Update" category of the workspace preferences (Window -> Preferences). This page would still be displaying all those entries. I'll have to look into how to hide the entries from this page so I'm happy to keep this open to fix that issue as well.

Comment 11 Roland Grunberg 2017-02-09 16:01:43 UTC
Would you be able to try out https://koji.fedoraproject.org/koji/buildinfo?buildID=839511 to confirm the changes fix your issue ?

You would only need to download the packages you also have locally (eclipse-equinox-osgi, eclipse-jdt, eclipse-p2-discovery, eclipse-pde, eclipse-platform, eclipse-swt)

Comment 12 Fedora Update System 2017-02-13 15:59:24 UTC
eclipse-4.6.2-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e540e18c6

Comment 13 Fedora Update System 2017-02-14 00:54:19 UTC
eclipse-4.6.2-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e540e18c6

Comment 14 Fedora Update System 2017-02-18 18:20:43 UTC
eclipse-4.6.2-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.